#include <stdio.h>
#include <string.h>

int main(int argc, char *argv[])
{
#define LEN 16
  char a[LEN], b[LEN], c[LEN*2];

#if defined(UNSAFE)
  strcpy(a, "0123456789abcdef");
  strcpy(b, "0123456789abcdef");
  strcpy(c, a);
  strcat(c, b);
#else
  strlcpy(a, "0123456789abcdef", sizeof(a));
  strlcpy(b, "0123456789abcdef", sizeof(b));
  strlcpy(c, a, sizeof(c));
  strlcat(c, b, sizeof(c));
#endif
  puts(c);
  return 0;
}
